# @vuepress/plugin-blog

[![NPM version](https://badgen.net/npm/v/@vuepress/plugin-blog)](https://npmjs.com/package/@vuepress/plugin-blog) 
[![NPM downloads](https://badgen.net/npm/dm/@vuepress/plugin-blog)](https://npmjs.com/package/@vuepress/plugin-blog) 
[![NPM LICENSE](https://badgen.net/npm/license/@vuepress/plugin-blog)](https://github.com/vuepressjs/vuepress-plugin-blog/blob/master/LICENSE)

> Official blog plugin for VuePress. 

## Features

- [**Classification**](https://vuepress-plugin-blog.ulivz.com/guide/getting-started.html#document-classifier): 
Powerful classification system lets you quickly classify your posts.
- [**Pagination**](https://vuepress-plugin-blog.ulivz.com/guide/getting-started.html#pagination): 
Pagination runs through the entire plugin, and it has never been so simple.
- [**Client APIs**](https://vuepress-plugin-blog.ulivz.com/client-api/): Simple client APIs make it easier for you to write a blog theme.       

## Install

We strongly recommend that you read the [Getting Started](https://vuepress-plugin-blog.ulivz.com/guide/getting-started.html) section before using this plugin.

```bash
yarn add -D @vuepress/plugin-blog
# OR npm install -D @vuepress/plugin-blog
```

## Usage

```javascript
module.exports = {
  plugins: ['@vuepress/blog'] 
}
```

Please head [documentation](https://vuepress-plugin-blog.ulivz.com/) to see all available options.


## Projects Using `@vuepress/plugin-blog`

- [70-lines-of-vuepress-blog-theme](https://github.com/ulivz/70-lines-of-vuepress-blog-theme): A VuePress Blog Theme implemented in around 70 lines.
- [@vuepress/theme-blog](https://github.com/ulivz/vuepress-theme-blog): Default blog theme for VuePress.
- [vuepress-theme-modern-blog](https://github.com/z3by/vuepress-theme-modern-blog): A modern theme for Vue press using [Element.UI design system](https://element.eleme.io/#/)
- [vuepress-theme-reco](https://github.com/vuepress-reco/vuepress-theme-reco) - A simple and beautiful vuepress blog theme
- [vuepress-theme-hope](https://github.com/Mister-Hope/vuepress-theme-hope/) - A powerful vuepress blog theme with tons of features.
- [vuepress-theme-yuchanns](https://github.com/yuchanns/vuepress-theme-yuchanns): A github style vuepress blog theme
- [vuepress-theme-ic](https://github.com/IKangXu/vuepress-theme-ic) :tada::tada::tada: A note-style vuepress blog theme with simple, clear and practical features for the purpose. The palest ink is better than the best memory.
- [vuepress-theme-blogue](https://github.com/ocavue/vuepress-theme-blogue) A minimalist blog theme with Material Design.

Feel free to add yours here...



## LICENSE

**@vuepress/plugin-blog** © [ULIVZ](https://github.com/ulivz) & [Billyyyyy3320](https://github.com/billyyyyy3320), Released under the [MIT](./LICENSE) License.<br>

> [github.com/ulivz](https://github.com/ulivz) · GitHub [@ULIVZ](https://github.com/ulivz) · Twitter [@_ulivz](https://twitter.com/_ulivz)

> [github.com/billyyyyy3320](https://github.com/billyyyyy3320) · GitHub [@Billyyyyy3320](https://github.com/billyyyyy3320) 
